本文作者:icy

Golang-程序奔溃/修复[panic/recover],结合之前讲的defer的例子

icy 2021-02-22 664 抢沙发
Golang-程序奔溃/修复[panic/recover],结合之前讲的defer的例子摘要: panic/recover这个panic 其实在我现实开发GO中还真没怎么用过。可能是太可怕了 ,恐惧到惊吓到了。  哈哈这个例子看到了, 我使用了之前学过的 defer...

panic/recover

这个panic 其实在我现实开发GO中还真没怎么用过。
可能是太可怕了 ,恐惧到惊吓到了。  哈哈
这个例子看到了, 我使用了之前学过的 defer 来捕获奔溃 。
如果不加 是捕获不到的哦,你们可以复制了代码 然后删除defer 自己试试看。

package main 

import "fmt"

func main () {
    fmt.Println("开始运行...")

    defer func () {
        if err := recover(); err != nil {
            fmt.Println(err)
        }

        fmt.Println("哦哟,不怕我有棉花糖.")
    }()

    panic("脑子瓦特了.")
}

运行结果

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏

阅读
分享

发表评论

快捷回复:

评论列表 (暂无评论,664人围观)参与讨论

还没有评论,来说两句吧...